//create two variables to represent elements in the html code
const selectDeviceBtn = document.querySelector("#select_device");
const output = document.querySelector("#output");

//create an async function to run when selectDevice is clicked
const selectDevice = async () => {
  try {
    const gdxDevice = await godirect.selectDevice();
    // print name (order code and serial number)
    output.textContent = `\n Connected to ` + gdxDevice.name;
    output.textContent += `\n Order Code: ` + gdxDevice.orderCode;
    output.textContent +=
      `\n Typical Measurement Period: ` +
      gdxDevice.measurementPeriod +
      ` ms/sample`;
    output.textContent +=
      `\n Battery Level: ` + (await gdxDevice.getBatteryLevel()) + `%`;
    output.textContent +=
      `\n Charging: ` +
      ((await gdxDevice.getChargingState()) === 1 ? `yes` : `no`);

    setTimeout(function() {
      gdxDevice.close();
    }, 2500);
  } catch (err) {
    console.error(err);
  }
};
selectDeviceBtn.addEventListener("click", selectDevice);
